Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1943591

Summary: Review Request: mod_markdown - Markdown filter for Apache web-server.
Product: [Fedora] Fedora Reporter: Eugene A. Pivnev <ti.eugene>
Component: Package ReviewAssignee: Robert-André Mauchin 🐧 <zebob.m>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-01-19 01:29:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Comment 1 Robert-André Mauchin 🐧 2021-03-29 22:42:42 UTC
 - Please add shortcommit to the release:

Release:	1.20200616git%{shortcommit}%{?dist}

[…]

* Wed Mar 24 2021 TI_Eugene <ti.eugene> - 1.0.4-1.20200616git933aa25

 - Explicitly add 'make' to the BR

 - Macros prefixed by two underscores are for rpm private use, please use the binaries directly instead:

mkdir -p %{buildroot}%{_httpd_moddir}
mkdir -p %{buildroot}%{_httpd_modconfdir}
%{_libdir}/httpd/build/instdso.sh SH_LIBTOOL='%{_libdir}/apr-1/build/libtool' mod_markdown.la %{buildroot}%{_httpd_moddir}
install -Dpm 0644 %{SOURCE1} %{buildroot}%{_httpd_modconfdir}


 - [!]: Package should not use obsolete m4 macros
   Note: Some obsoleted macros found, see the attachment.
   See: https://fedorahosted.org/FedoraReview/wiki/AutoTools

AutoTools: Obsoleted m4s found
------------------------------
  AM_PROG_LIBTOOL found in: apache-mod-
  markdown-933aa25793af5ade13dad11b614d7148e6ce9caa/configure.ac:9

Patch configure.ac to replace the obsolete macro with LT_INIT and send the patch upstream.
See https://www.gnu.org/software/libtool/manual/html_node/LT_005fINIT.html



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache License 2.0",
     "FSF All Permissive License", "GNU General Public License v3.0 or
     later". 8 files have unknown license. Detailed output of licensecheck
     in /home/bob/packaging/review/mod_markdown/review-
     mod_markdown/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mod_markdown-1.0.4-1.20200616.fc35.x86_64.rpm
          mod_markdown-debuginfo-1.0.4-1.20200616.fc35.x86_64.rpm
          mod_markdown-debugsource-1.0.4-1.20200616.fc35.x86_64.rpm
          mod_markdown-1.0.4-1.20200616.fc35.src.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 3 Eugene A. Pivnev 2022-01-08 11:37:53 UTC
(In reply to Robert-André Mauchin 🐧 from comment #1)
>  - Please add shortcommit to the release:
> Release:	1.20200616git%{shortcommit}%{?dist}

Fixed.

> * Wed Mar 24 2021 TI_Eugene <ti.eugene> -
> 1.0.4-1.20200616git933aa25

Fixed.

>  - Explicitly add 'make' to the BR

Fixed

>  - Macros prefixed by two underscores are for rpm private use, please use
> the binaries directly instead:

Fixed.

>  - [!]: Package should not use obsolete m4 macros
> AutoTools: Obsoleted m4s found
> ------------------------------
>   AM_PROG_LIBTOOL found in: apache-mod-
>   markdown-933aa25793af5ade13dad11b614d7148e6ce9caa/configure.ac:9

Fixed.

> Patch configure.ac to replace the obsolete macro with LT_INIT and send the
> patch upstream.

Done: https://github.com/hamano/apache-mod-markdown/issues/36

====

Fresh builds with newest source commits:

Spec: https://tieugene.fedorapeople.org/rpms/mod_markdown/mod_markdown.spec
SRPM: https://tieugene.fedorapeople.org/rpms/mod_markdown/mod_markdown-1.0.4-3.20211115git1bf4fb4.fc35.src.rpm

Koji:
F35: https://koji.fedoraproject.org/koji/taskinfo?taskID=80984535
F36: https://koji.fedoraproject.org/koji/taskinfo?taskID=80986036
EL8: https://koji.fedoraproject.org/koji/taskinfo?taskID=80986388

Demo:
Raw files: http://www.doxgen.ru/md_asis/
mod_markdown powered: http://www.doxgen.ru/md_mod/

Comment 4 Eugene A. Pivnev 2022-01-08 11:47:03 UTC
EL7: https://koji.fedoraproject.org/koji/taskinfo?taskID=80986540

Comment 5 Robert-André Mauchin 🐧 2022-01-08 19:51:32 UTC
Package approved.

Comment 6 Gwyn Ciesla 2022-01-10 16:49:33 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mod_markdown

Comment 7 Fedora Update System 2022-01-10 18:52:15 UTC
FEDORA-2022-948eb9d283 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-948eb9d283

Comment 8 Fedora Update System 2022-01-10 19:06:05 UTC
FEDORA-2022-cd713b75c6 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-cd713b75c6

Comment 9 Fedora Update System 2022-01-10 19:20:35 UTC
FEDORA-EPEL-2022-325045df7c has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-325045df7c

Comment 10 Fedora Update System 2022-01-10 19:31:42 UTC
FEDORA-EPEL-2022-ffc71d49e6 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-ffc71d49e6

Comment 11 Fedora Update System 2022-01-11 00:19:35 UTC
FEDORA-EPEL-2022-ffc71d49e6 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-ffc71d49e6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2022-01-11 01:34:45 UTC
FEDORA-2022-cd713b75c6 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2022-cd713b75c6 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-cd713b75c6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2022-01-11 01:45:02 UTC
FEDORA-2022-948eb9d283 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2022-948eb9d283 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-948eb9d283

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2022-01-11 02:21:41 UTC
FEDORA-EPEL-2022-325045df7c has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-325045df7c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2022-01-19 01:29:45 UTC
FEDORA-EPEL-2022-ffc71d49e6 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2022-01-19 01:53:52 UTC
FEDORA-2022-cd713b75c6 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2022-01-19 02:11:00 UTC
FEDORA-2022-948eb9d283 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2022-01-19 02:47:09 UTC
FEDORA-EPEL-2022-325045df7c has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.